Retry Transaction
curl --request POST \
--url https://api.blockradar.co/v1/wallets/{walletId}/transactions/retry \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"id": "960661a2-0337-4609-b870-348d67fae934"
}
'import requests
url = "https://api.blockradar.co/v1/wallets/{walletId}/transactions/retry"
payload = { "id": "960661a2-0337-4609-b870-348d67fae934" }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({id: '960661a2-0337-4609-b870-348d67fae934'})
};
fetch('https://api.blockradar.co/v1/wallets/{walletId}/transactions/retry', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"amlScreening": {
"message": "sender address is not sanctioned",
"provider": "ofac",
"status": "passed"
},
"amount": "0.01",
"asset": {
"address": "0x1c7D4B196Cb0C7B01d743Fbc6116a902379C7238",
"createdAt": "2024-05-14T14:53:33.682Z",
"decimals": 6,
"id": "fe04a28c-c615-4e41-8eda-f84c862864f5",
"isActive": true,
"name": "USDC Coin",
"network": "testnet",
"symbol": "USDC",
"updatedAt": "2024-05-27T12:24:11.951Z"
},
"assetSwept": true,
"assetSweptAt": "2024-06-06T06:00:41.053Z",
"blockHash": "0x8733defb28554d62c57ea0ddfd3cf4b9ee8e52128a0176cbfd2508ecad71bc4a",
"blockNumber": 6049098,
"blockchain": {
"createdAt": "2024-05-14T14:53:33.095Z",
"derivationPath": "m/44'/60'/0'/0",
"id": "85ffc132-3972-4c9e-99a5-5cf0ccb688bf",
"isActive": true,
"isEvmCompatible": true,
"name": "ethereum",
"slug": "ethereum",
"symbol": "eth",
"updatedAt": "2024-06-05T11:10:50.577Z"
},
"confirmations": 1,
"confirmed": true,
"createdAt": "2024-06-06T08:15:02.079Z",
"gasPrice": "0.000000002999993809",
"gasUsed": 62147,
"hash": "0x02e2400c5858af6be3a0c060f0185a31a3a859243dededbead4a81f258ba31d0",
"id": "f3730f9a-a0bd-4fe4-9fad-90cf42c2a997",
"metadata": {
"id": "0x"
},
"network": "testnet",
"note": null,
"reason": "Funds swept successfully",
"recipientAddress": "0xbdF23C259346d326BA8847A4FCed31E1c9030746",
"reference": "EClNLYLcG2",
"senderAddress": "0x2455eC6700092991Ce0782365A89d5Cd89c8Fa22",
"status": "PENDING",
"type": "WITHDRAW",
"updatedAt": "2024-06-06T09:00:41.068Z"
},
"message": "Transaction retried",
"statusCode": 200
}Retry Transaction
Retry Transaction
POST
/
v1
/
wallets
/
{walletId}
/
transactions
/
retry
Retry Transaction
Authorizations
Path Parameters
Example:
"{{walletId}}"
Body
application/json
Example:
"960661a2-0337-4609-b870-348d67fae934"
⌘I

